/* @import url('https://fonts.googleapis.com/css2?family=Ubuntu:wght@400;700&display=swap'); */

@font-face {
  font-family: 'sans-serif';
  src: url(../fonts/Ubuntu-R.woff2);
  font-weight: 400;
  font-display: swap;
}

@font-face {
  font-family: 'sans-serif';
  src: url(../fonts/Ubuntu-B.woff2);
  font-weight: 700;
  font-display: swap;
}

.page-body {
  font-family: 'Ubuntu', sans-serif;
  background-image: url(../img/bg-img.png);
  background-size: cover;
}

.page-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  align-content: center;
  vertical-align: middle;
  background: rgba(0, 0, 0, 0.4);
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
  padding: 16px 79px;
}

.logo-link {
  font-weight: 700;
  font-size: 22px;
  line-height: 22px;
  color: #ffffff;
  transition-duration: 300ms;
  transition-property: color;
}

.link-text {
  font-weight: 400;
  font-size: 14px;
  line-height: 14px;
  color: #ffffff;
  transition-duration: 300ms;
  transition-property: color;
}

.nav-icon-menu {
  display: flex;
  gap: 25px;
  align-items: center;
}

.nav-menu-text {
  display: block;
  font-weight: 400;
  font-size: 14px;
  line-height: 14px;
  color: #ffffff;
  margin-left: 25px;
  position: relative;
}

.nav-menu-text::before {
  content: '';
  position: absolute;
  top: -3px;
  left: -25px;
  height: 19px;
  width: 1px;
  background: rgba(255, 255, 255, 0.9);
  mix-blend-mode: normal;
  opacity: 0.5;
}

.nav-icon path {
  fill: #fff;
  transition-duration: 300ms;
  transition-property: fill;
}

/* hover nav-menu */

.nav-icon:hover path {
  fill: #357957;
}
.link-text:hover,
.logo-link:hover {
  color: #357957;
}

/* maine */

.page-main {
  display: flex;
  justify-content: center;
  align-content: center;
  align-items: center;
  height: calc(100vh - 58px); /*58px - header height */
}

.sign-up-form {
  display: grid;
  width: 444px;
  height: 584px;
  background-color: #fff;
  padding: 31px 60px 38px;
  grid-template-areas:
    'a b'
    'c d'
    'e e'
    'f f'
    'g g'
    'h h';
  grid-template-columns: 1fr 1fr;
  grid-template-rows: repeat(6, 1fr);
  grid-row-gap: 10px;
  grid-column-gap: 4px;
  position: relative;
}

.grid-1 {
  grid-area: a;
  display: inline-block;
  vertical-align: middle;
  font-weight: 400;
  font-size: 20px;
  line-height: 20px;
  color: #434343;
  margin-bottom: 5px;
}

.grid-2 {
  grid-area: b;
  justify-self: end;
  display: inline-block;
  text-align: end;
  align-self: end;
  margin-bottom: 5px;
}

.grid-3 {
  grid-area: c;
}

.grid-4 {
  grid-area: d;
}

.grid-5 {
  grid-area: e;
  justify-self: center;
  align-self: end;
  margin-top: 20px;
  font-weight: 400;
  font-size: 14px;
  line-height: 14px;
  color: #848484;
  background: #fff;
  padding: 0 5px;
}

.grid-6 {
  grid-area: f;
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 14px;
}

.grid-7 {
  grid-area: g;
  display: flex;
  font-weight: 400;
  font-size: 14px;
  line-height: 14px;
  color: #434343;
  align-content: center;
  justify-self: left;
}

.grid-8 {
  grid-area: h;
}

.form-input {
  padding: 14px 22px;
  border: 1px solid #f2f2f2;
  border-radius: 4px;
  font-size: 14px;
  line-height: 14px;
  color: #434343;
}

.form-input::placeholder {
  font-weight: 400;
  font-size: 14px;
  line-height: 14px;
  color: #bebebe;
}

.form-link {
  font-weight: 400;
  font-size: 14px;
  line-height: 14px;
  margin-left: 5px;

  color: #3cb878;
  transition-duration: 600ms;
  transition-property: color;
}

.btn {
  height: 46px;
  width: 100%;
  border-radius: 4px;
  font-weight: 400;
  font-size: 16px;
  line-height: 16px;
  color: #ffffff;
  text-align: center;
}

.btn-grid {
  display: grid;
  grid-template-columns: 48px 1fr;
  justify-content: center;
  position: relative;
}

.btn-grid-item-1 {
  grid-area: 1/1/1/2;
  align-self: center;
  justify-self: center;
}

.btn-grid-item-2 {
  grid-area: 1/2/1/3;
  display: flex;
  justify-content: center;
  align-items: center;
}

.btn-grid::before {
  content: '';
  position: absolute;
  width: 1px;
  height: 28px;
  left: 48px;
  top: 10px;
  background: #0a162f;
  mix-blend-mode: normal;
  opacity: 0.1;
}

.grid-5::before,
.grid-5::after {
  content: '';
  position: absolute;
  top: 150px;
  width: 150px;
  height: 1px;
  background-color: #f2f2f2;
  border: none;
}

.grid-5::before {
  left: 61px;
}

.grid-5::after {
  right: 61px;
}

.btn-social-maine {
  background: #305db8;
  transition-duration: 600ms;
  transition-property: background;
}

.btn-social-second {
  background: #df4a32;
  transition-duration: 600ms;
  transition-property: background;
}

.btn-accepted {
  padding: 15px;
  background: rgba(60, 184, 120, 0.8);
  transition-duration: 600ms;
  transition-property: background;
}

.agree-text {
  display: flex;
  padding-left: 8px;
  margin-top: 3px;
}

.default-checkbox {
  position: absolute;
  opacity: 0;
}

.custom-checkbox {
  display: inline-block;
  vertical-align: middle;
  width: 20px;
  height: 20px;
  background: rgba(0, 0, 0, 0.0001);
  border: 1px solid #f2f2f2;
  margin-left: 2px;
}

.default-checkbox:checked + .custom-checkbox {
  background-image: url('../img/agree-icon.svg');
  background-size: contain;
  background-position: center;
}

/* square */
.grid-1::before {
  content: '';
  width: 18px;
  height: 18px;
  left: 0px;
  top: 32px;
  background: #3cb878;
  position: absolute;
}

/* Hover */

.grid-7:hover {
  cursor: pointer;
}

.btn-social-maine:hover,
.btn-social-maine:focus {
  background: #022263;
}

.btn-social-second:hover,
.btn-social-second:focus {
  background: #ab1f09;
}

.btn-accepted:hover,
.btn-accepted:focus {
  background: #01813f;
}

.form-input:hover {
  background: #ffffff;
  box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
  color: #434343;
}

.form-input:focus {
  background: #ffffff;
  box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.5);
  color: #434343;
}

.form-link:hover,
.form-link:focus {
  text-decoration: underline;
  color: #01813f;
}
